libzypp 17.37.10

zyppng::BasicReportHelper< ZyppContextRef > Class Template Reference

`#include <zypp/ng/reporthelper.h>`

Inheritance diagram for zyppng::BasicReportHelper< ZyppContextRef >:

## Public Member Functions
| BasicReportHelper (const BasicReportHelper &)=default
| BasicReportHelper (BasicReportHelper &&)=default
BasicReportHelper & | operator= (const BasicReportHelper &)=default
BasicReportHelper & | operator= (BasicReportHelper &&)=default
const ZyppContextRef & | zyppContext ()

## Static Public Member Functions
static constexpr bool | async ()

## Protected Member Functions
| BasicReportHelper (ZyppContextRef &&ctx)

## Protected Attributes
ZyppContextRef | _ctx

## Detailed Description

template<typename ZyppContextRef>
class zyppng::BasicReportHelper< ZyppContextRef >

Definition at line 59 of file reporthelper.h.

## Constructor & Destructor Documentation

## ◆ BasicReportHelper() [1/3]

template<typename ZyppContextRef>

zyppng::BasicReportHelper< ZyppContextRef >::BasicReportHelper | ( | const BasicReportHelper< ZyppContextRef > & |  | ) |
| default

## ◆ BasicReportHelper() [2/3]

template<typename ZyppContextRef>

zyppng::BasicReportHelper< ZyppContextRef >::BasicReportHelper | ( | BasicReportHelper< ZyppContextRef > && |  | ) |
| default

## ◆ BasicReportHelper() [3/3]

template<typename ZyppContextRef>

zyppng::BasicReportHelper< ZyppContextRef >::BasicReportHelper | ( | ZyppContextRef && | ctx | ) |
| protected

Definition at line 18 of file reporthelper.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename ZyppContextRef>

BasicReportHelper & zyppng::BasicReportHelper< ZyppContextRef >::operator= | ( | const BasicReportHelper< ZyppContextRef > & |  | ) |
| default

## ◆ operator=() [2/2]

template<typename ZyppContextRef>

BasicReportHelper & zyppng::BasicReportHelper< ZyppContextRef >::operator= | ( | BasicReportHelper< ZyppContextRef > && |  | ) |
| default

## ◆ zyppContext()

template<typename ZyppContextRef>

const ZyppContextRef & zyppng::BasicReportHelper< ZyppContextRef >::zyppContext | ( |  | ) |
| inline

Definition at line 66 of file reporthelper.h.

## ◆ async()

template<typename ZyppContextRef>

constexpr bool zyppng::BasicReportHelper< ZyppContextRef >::async | ( |  | ) |
| inline static constexpr

Definition at line 70 of file reporthelper.h.

## Member Data Documentation

## ◆ _ctx

template<typename ZyppContextRef>

ZyppContextRef zyppng::BasicReportHelper< ZyppContextRef >::_ctx
| protected

Definition at line 76 of file reporthelper.h.

The documentation for this class was generated from the following files:

- zypp/ng/reporthelper.h
- zypp/ng/reporthelper.cc